---
title: "Hardware"
date: 2025-01-24
draft: false
description: "The Hardware"
tags: ["esp32", "hardware"]
---

{{< gallery >}}
  <img src="pcb_front.png" class="grid-w50" />
  <img src="pcb_back.png" class="grid-w50" />
{{< /gallery >}}

{{< gitea server="https://git.mannheim.ccc.de/" repo="C3MA/PlantCtrl" >}}

## ESP32-C6
* RiscV
* Fully done in Kicad (#schematics here link)
* Supports 16 Moisture Sensors (two per plant)
* Support for 8 Pumps/Valves
* Support for main Pump/Valve
* All Pump/Valve outputs are 7-24V based on supplied Voltage
* Use of efficient DC-DC Converters for 3.3V and for Led-Nightlight
* Embedded Solar MPPT Charger
* Can also be used with a power supply

## Made with:
<a href="https://www.kicad.org/">
  <img class="lazy" src="kicad_logo_small.png" alt="Image">
</a>
